"No suitable driver found for jdbc:derby" error for sqoop2 upgrade

This is for Hadoop eco system like HDFS, Map reduce, Hive, Hbase, Pig, sqoop,sqoop2, Avro, solr, hcatalog, impala, Oozie, Zoo Keeper and Hadoop distribution like Cloudera, Hortonwork etc.
ramverma
Posts: 435
Joined: Sat Aug 23, 2014 5:34 pm
Contact:

"No suitable driver found for jdbc:derby" error for sqoop2 upgrade

Postby ramverma » Thu Sep 10, 2015 5:39 pm

I am getting "No suitable driver found for jdbc:derby" error while trying to upgrade sqoop2

ERROR org.apache.sqoop.tools.tool.UpgradeTool: Can't finish upgrading RepositoryManager, Driver and ConnectionManager:
org.apache.sqoop.common.SqoopException: JDBCREPO_0007:Unable to lease link
at org.apache.sqoop.repository.JdbcRepositoryTransaction.begin(JdbcRepositoryTransaction.java:63)
...
Caused by: java.sql.SQLException: No suitable driver found for jdbc:derby:/var/lib/sqoop2/repository/db;create=true
at java.sql.DriverManager.getConnection(DriverManager.java:596)
...
... 17 more


snehalshah
Posts: 61
Joined: Sun Aug 30, 2015 8:02 am
Contact:

Re: "No suitable driver found for jdbc:derby" error for sqoop2 upgrade

Postby snehalshah » Tue Sep 22, 2015 10:53 pm

check below thing first:

Copy your derby jar from /opt/cloudera/parcels/CDH/jars/derby-10.8.2.2.jar to /var/lib/sqoop2
Set owner as sqoop owned by sqoop2:sqoop.
Then run the Cloudera Manager > Services > Sqoop2 > Actions > Upgrade Sqoop.
Once the upgrade is done, remove the /var/lib/sqoop2/derby-10.8.2.2.jar


Return to “Hadoop and Big Data”

Who is online

Users browsing this forum: No registered users and 3 guests